package cn.iocoder.yudao.module.system.util.http;

import java.io.Serializable;

@SuppressWarnings("serial")
public class HttpClientResult implements Serializable {

    private int code; //响应状态码
    private String content; //响应数据

    public HttpClientResult() {
        super();
    }

    public HttpClientResult(int code) {
        super();
        this.code = code;
    }

    public HttpClientResult(int code, String content) {
        super();
        this.code = code;
        this.content = content;
    }

    public boolean success() {
        return this.code == 200;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

}
